HPL_dlaswp05T(3)

NAME
HPL_dlaswp05T - copy rows of U into A.

SYNOPSIS
#include "hpl.h"

void HPL_dlaswp05T( const int M, const int N, double * A, const int LDA, const double * U, const int LDU, const int * LINDXA, const int * LINDXAU );

DESCRIPTION
HPL_dlaswp05T copies columns of U of global offset LINDXAU into rows of A at positions indicated by LINDXA.

ARGUMENTS

M       (local input)           const int
    On entry, M specifies the number of columns of U that shouldbe copied into A. M must be at least zero.

N       (local input)           const int
    On entry, N specifies the length of the columns of U that will be copied into rows of A. N must be at least zero.

A       (local output)          double *
    On entry, A points to an array of dimension (LDA,N). On exit, the rows of this array specified by LINDXA are replaced by columns of U indicated by LINDXAU.

LDA     (local input)           const int
    On entry, LDA specifies the leading dimension of the array A. LDA must be at least MAX(1,M).

U       (local input/output)    const double *
    On entry, U points to an array of dimension (LDU,*). This array contains the columns that are to be copied into rows of A.

LDU     (local input)           const int
    On entry, LDU specifies the leading dimension of the array U. LDU must be at least MAX(1,N).

LINDXA  (local input)           const int *
    On entry, LINDXA is an array of dimension M that contains the local row indexes of A that should be copied from U.

LINDXAU (local input)           const int *
    On entry, LINDXAU is an array of dimension M that contains the local column indexes of U that should be copied in A.

SEE ALSO
HPL_dlaswp00N (3), HPL_dlaswp10N (3), HPL_dlaswp01N (3), HPL_dlaswp01T (3), HPL_dlaswp02N (3), HPL_dlaswp03N (3), HPL_dlaswp03T (3), HPL_dlaswp04N (3), HPL_dlaswp04T (3), HPL_dlaswp05N (3), HPL_dlaswp05T (3), HPL_dlaswp06N (3), HPL_dlaswp06T (3).